<?php
// *************************************************************************
// * VIRTUALNAME TCPANEL - DOMAIN CONTROLLER
// * PLUGIN Api v1
// * @copyright Copyright (c) 2016, Virtualname
// * @version 1.0.0
// * @link http://www.virtualname.es
// * @package DOMAIN-CONTROLLER
// * @subpackage TCpanel
// * File description: VIRTUALNAME - CONFIG OPTIONS
// *************************************************************************
###OPCIONES DE CONFIGURACIÓN###
$debug  	  	= FALSE;
$devMode        = TRUE;
$APIKEY_vname 	= "miapikey";
$API_URL 		= "https://api.virtualname.net";
$API_URL_DEV	= "http://dev.api.virtualname.net";
$version 		= "v1";
$pluginVersion  = "1.0";
//AL MODIFICAR UN CONTACTO: TRUE => Crea uno nuevo, FALSE => Modifica el contacto del dominio
$newContacts	= TRUE;
//Pie de página
$companyname    = "Virtualname";
$companyinfo    = "Tecnocrática Centro de Datos, S.L. Calle Salvatierra, 4, 3D, 28034, Madrid. Sociedad de Responsabilidad Limitada Inscrita en el Registro Mercantil de Madrid.<br>
                    Tomo: 29.392, Folio: 19, Sección: 8 Hoja: M-529043, Incripción: 844.<br>
                    Teléfonos: 902 52 02 52 - 913 155 586 - Email: info@virtualpyme.com<br>";
$hashInit       = "virtualname";
$hashEnd        = "dominios";
###OPCIONES DE CONFIGURACIÓN###

$configLang["200"]  = "acción exitosa";
$configLang["201"]  = "elemento creado";
$configLang["202"]  = "sincronización exitosa";
$configLang["400"]  = "ERROR 400 acción fallida";
$configLang["402"]  = "ERROR 402 no hay fondos suficientes";
$configLang["404"]  = "ERROR 404 elemento no encontrado";
$configLang["422"]  = "ERROR 422 petición imposible de procesar por favor compruebe los logs";
$configLang["429"]  = "ERROR 429 límite de peticiones";
$configLang["500"]  = "ERROR 500 error interno";
$configLang["502"]  = "ERROR 502 acción desconocida";
$configLang["503"]  = "ERROR 503 modo mantenimiento";
$configLang["error-0"] = "No es posible conectar con el registrador. Por favor vuelva a intentarlo pasados unos minutos.";
$configLang["error-1"] = "Respuesta desconocida del registrador";

$domain_rules   = array(".es"     => array("contacts" => array("reg"=>2,"admin"=>1, "tech"=>1, "billing"=>1)),
                        ".nom.es" => array("contacts" => array("reg"=>2,"admin"=>1, "tech"=>1, "billing"=>1)),
                        ".org.es" => array("contacts" => array("reg"=>2,"admin"=>1, "tech"=>1, "billing"=>1)),
                        ".gob.es" => array("contacts" => array("reg"=>2,"admin"=>1, "tech"=>1, "billing"=>1)));
?>
